(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define("wheely-base", [], factory);
	else if(typeof exports === 'object')
		exports["wheely-base"] = factory();
	else
		root["wheely-base"] = factory();
})(global, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./index.js");
/******/ })
/************************************************************************/
/******/ ({

/***/ "./index.js":
/*!******************!*\
  !*** ./index.js ***!
  \******************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.State = exports.maps = exports.fetchData = exports.base = exports.views = void 0;

var _bundleView = __webpack_require__(/*! ./js/views/bundle-view */ "./js/views/bundle-view.js");

var _base2 = __webpack_require__(/*! ./js/functions/base/base */ "./js/functions/base/base.js");

var _fetch2 = __webpack_require__(/*! ./js/functions/fetch/fetch */ "./js/functions/fetch/fetch.js");

var _bundleMap = __webpack_require__(/*! ./js/map/bundle-map */ "./js/map/bundle-map.js");

var _state = __webpack_require__(/*! ./js/state/state */ "./js/state/state.js");

var views = _bundleView.views;
exports.views = views;
var base = _base2.base;
exports.base = base;
var fetchData = _fetch2.fetchData;
exports.fetchData = fetchData;
var maps = _bundleMap.maps;
exports.maps = maps;
var State = _state.StateManagement;
exports.State = State;

/***/ }),

/***/ "./js/functions/base/base.js":
/*!***********************************!*\
  !*** ./js/functions/base/base.js ***!
  \***********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.base = void 0;

var _core2 = __webpack_require__(/*! ./core */ "./js/functions/base/core.js");

var _handleData2 = __webpack_require__(/*! ./handle-data */ "./js/functions/base/handle-data.js");

var _layout2 = __webpack_require__(/*! ./layout */ "./js/functions/base/layout.js");

var _tracking2 = __webpack_require__(/*! ./tracking */ "./js/functions/base/tracking.js");

var base = {
  core: _core2.core,
  handleData: _handleData2.handleData,
  layout: _layout2.layout,
  tracking: _tracking2.tracking
};
exports.base = base;

/***/ }),

/***/ "./js/functions/base/core.js":
/*!***********************************!*\
  !*** ./js/functions/base/core.js ***!
  \***********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.core = void 0;
var core = {
  returnCacheDataByName: function returnCacheDataByName(eventName, key) {
    for (var i = self.dataLayer.length - 1; i >= 0; i--) {
      if (self.dataLayer[i].event == eventName) {
        return self.dataLayer[i][key];
      }
    }
  },
  bindEvent: function bindEvent(element, eventname, eventhandler) {
    if (element.addEventListener) {
      element.addEventListener(eventname, eventhandler, false);
    } else if (element.attachEvent) {
      element.attachEvent('on' + eventname, eventhandler);
    }
  },
  handleError: function handleError(response) {
    if (!response.ok) {
      throw new Error(response.statusText);
    }

    return response.json();
  },
  returnErrorMessage: function returnErrorMessage(message) {
    var view = '';
    view = "\n            <div class=\"__wheely__container\">\n                <div class=\"__wheely-error-message\">\n                    <p>".concat(message, "</p>\n                </div>\n            </div>\n        ");
    return view;
  },
  licencePlateRegex: function licencePlateRegex() {
    return /(^[a-z]{2}-?\d{2}-?\d{2})|(^\d{2}-?\d{2}-?[a-z]{2})|(^\d{2}-?[a-z]{2}-?\d{2})|(^[a-z]{2}-?\d{2}-?[a-z]{2})|(^[a-z]{2}-?[a-z]{2}-?\d{2})|(^\d{2}-?[a-z]{2}-?[a-z]{2})|(^\d{2}-?[a-z]{3}-?\d{1})|(^\d{1}-?[a-z]{3}-?\d{2})|(^[a-z]{2}-?\d{3}-?[a-z]{1})|(^[a-z]{1}-?\d{3}-?[a-z]{2})|(^[a-z]{3}-?\d{2}-?[a-z]{1})|(^[a-z]{1}-?\d{2}-?[a-z]{3})|(^\d{1}-?[a-z]{2}-?\d{3})|(^\d{3}-?[a-z]{2}-?\d{1})/;
  },
  init: function init(_this, SETTINGS, MAP) {
    var view = "<div class=\"".concat(MAP.widgetName, "\" style=\"max-width:").concat(SETTINGS.options.width, ";height:").concat(SETTINGS.options.height, ";\"><div id=\"").concat(SETTINGS.options.viewId, "\">");
    Object.keys(MAP.calculation).forEach(function (key) {
      view = view.concat(_this.renderView(MAP.calculation[key], SETTINGS));
    });
    view = view.concat("\n            </div>\n                <div class=\"__wheely__container\">\n                    <div class=\"__wheely-js-loader\">\n                        <div class=\"__wheely-js-loader__ring js-loader\">\n                            <div></div><div></div><div></div><div></div>\n                        </div>\n                    </div>\n                </div>\n                <div class=\"__wheely__container\">\n                    <div class=\"__wheely-js-error-message\">\n                    </div>\n                </div>\n            </div>\n        ");
    return view;
  }
};
exports.core = core;

/***/ }),

/***/ "./js/functions/base/handle-data.js":
/*!******************************************!*\
  !*** ./js/functions/base/handle-data.js ***!
  \******************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handleData = void 0;

var _bundle = __webpack_require__(/*! ../../views/updates/bundle */ "./js/views/updates/bundle.js");

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

var handleData = {
  handleTCOData: function handleTCOData(obj) {
    var view = '';

    var objView = function objView(key, objKey) {
      var objInnerView;

      if (objKey.isEditable) {
        if (key == 'Restwaarde') {
          objInnerView = _bundle.returnTcoView.returnResidualValueView(key, objKey);
        } else if (objKey.isDropdown) {
          objInnerView = _bundle.returnTcoView.returnSelectView(key);
        } else {
          objInnerView = _bundle.returnTcoView.returnInputView(key, objKey);
        }
      } else if (objKey.isImage) {
        objInnerView = _bundle.returnTcoView.returnImageView(key, objKey);
      } else {
        objInnerView = _bundle.returnTcoView.returnStaticView(key, objKey);
      }

      return objInnerView;
    };

    Object.keys(obj).forEach(function (key) {
      view = view.concat(objView(key, obj[key]));
    });
    return view;
  },
  updateObject: function updateObject(obj, map) {
    var newObj = {};
    var arr = {
      map: map.filter(function (key) {
        return key.isVisible === true;
      })
    };
    return privateHandleData.updateTCOObject(obj, arr, newObj);
  },
  formatter: new Intl.NumberFormat('nl-NL', {
    style: 'currency',
    currency: 'EUR',
    minimumFractionDigits: 2
  }),
  response: function response(data, success) {
    return {
      data: data,
      success: success
    };
  }
};
exports.handleData = handleData;
var privateHandleData = {
  updateTCOObject: function updateTCOObject(obj, arr, newObj, parentKey) {
    arr.map.forEach(function (item) {
      Object.keys(obj).forEach(function (key) {
        if (obj.hasOwnProperty(key)) {
          if (_typeof(obj[key]) == 'object') {
            var newKey = parentKey ? parentKey + "-" + key : key;
            newObj = privateHandleData.updateTCOObject(obj[key], arr, newObj, newKey);
          } else {
            var _newKey = parentKey ? parentKey + "-" + key : key;

            if (item.name == _newKey) {
              newObj[item.language.nl] = {
                value: obj[key],
                isEditable: item.isEditable,
                isDropdown: item.isDropdown,
                isImage: item.isImage
              };

              if (item.isCurrency) {
                newObj[item.language.nl] = {
                  value: handleData.formatter.format(obj[key]),
                  isEditable: item.isEditable,
                  isDropdown: item.isDropdown,
                  isImage: item.isImage
                };
              }

              return newObj;
            }
          }
        }
      });
    });
    return newObj;
  }
};

/***/ }),

/***/ "./js/functions/base/layout.js":
/*!*************************************!*\
  !*** ./js/functions/base/layout.js ***!
  \*************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.layout = void 0;

var _core = __webpack_require__(/*! ./core */ "./js/functions/base/core.js");

var layout = {
  appendcss: function appendcss(_widget, _styleSheet) {
    var styleSheet;

    switch (_widget) {
      case 'tco-view':
        styleSheet = _styleSheet ? _styleSheet : 'https://apimgmtstpkjajbaaynnlsuh.blob.core.windows.net/content/MediaLibrary/files/css/_tco-widget.css';
        break;

      case 'bijtelling-view':
        styleSheet = _styleSheet ? _styleSheet : 'https://apimgmtstpkjajbaaynnlsuh.blob.core.windows.net/content/MediaLibrary/files/css/_bijtelling-widget.css';
        break;

      case 'search-view':
        styleSheet = _styleSheet ? _styleSheet : 'https://apimgmtstpkjajbaaynnlsuh.blob.core.windows.net/content/MediaLibrary/files/css/_search-widget.css';
        break;

      default:
        styleSheet = _styleSheet ? _styleSheet : 'https://apimgmtstpkjajbaaynnlsuh.blob.core.windows.net/content/MediaLibrary/files/css/_tco-widget.css';
    }

    var head = document.head;
    var link = document.createElement('link');
    link.type = "text/css";
    link.rel = "stylesheet";
    link.href = styleSheet;
    head.appendChild(link);
  },
  updateDoubleSliderValue: function updateDoubleSliderValue(left, right, callbackValueLabel) {
    _core.core.bindEvent(left, 'input', function () {
      if (left.value > right.value - 25) {
        right.value = left.value + 25;

        if (right.value == right.max) {
          left.value = right.max - 25;
        }
      }

      callbackValueLabel.innerHTML = "".concat(left.value, " - ").concat(right.value);
    });

    _core.core.bindEvent(right, 'input', function () {
      if (right.value <= left.value + 25) {
        left.value = right.value - 25;

        if (left.value == left.min) {
          right.value = 25;
        }
      }

      callbackValueLabel.innerHTML = "".concat(left.value, " - ").concat(right.value);
    });
  },
  returnSliderValue: function returnSliderValue(parent, e) {
    parent["wl-" + e.target.id + "-target"].innerHTML = "".concat(e.target.value);
  },
  toggleClass: function toggleClass(parent, className) {
    parent.getElementsByClassName(className)[0].classList.toggle(className + '--visible');
  }
};
exports.layout = layout;

/***/ }),

/***/ "./js/functions/base/tracking.js":
/*!***************************************!*\
  !*** ./js/functions/base/tracking.js ***!
  \***************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.tracking = void 0;
var tracking = {
  initDataLayer: function initDataLayer(id) {
    var preventDoubleTracking = function preventDoubleTracking() {
      var scripts = document.getElementsByTagName('script');
      var googleTagManagerScript = new RegExp(/(gtm.js\?id=)[0-9]+$/g);

      for (var i in scripts) {
        if (googleTagManagerScript.test(scripts[i].src)) {
          return true;
        }
      }

      return false;
    };

    if (!preventDoubleTracking()) {
      self.dataLayer = self.dataLayer || [];
      self.dataLayer.push({
        'gtm.start': new Date().getTime(),
        event: 'gtm.js'
      });
      var head = document.head;
      var script = document.createElement('script');
      script.async = true;
      script.src = "https://www.googletagmanager.com/gtm.js?id=".concat(id);
      head.appendChild(script);
    }
  },
  updateDataLayer: function updateDataLayer(obj) {
    self.dataLayer = self.dataLayer || [];
    self.dataLayer.push(obj);
  }
};
exports.tracking = tracking;

/***/ }),

/***/ "./js/functions/fetch/fetch-base.js":
/*!******************************************!*\
  !*** ./js/functions/fetch/fetch-base.js ***!
  \******************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.fetchBase = void 0;
var fetchBase = {
  fetchPostBase: function fetchPostBase(url, params) {
    return fetch(url, {
      method: 'POST',
      mode: "cors",
      headers: {
        "Ocp-Apim-Subscription-Key": params.key,
        "Content-Type": "application/json; charset=utf-8"
      },
      body: JSON.stringify(params.body)
    });
  },
  fetchGetBase: function fetchGetBase(url, params) {
    var query = params.id ? params.id : '';
    return fetch(url + query, {
      mode: "cors",
      headers: {
        "Ocp-Apim-Subscription-Key": params.key
      }
    });
  }
};
exports.fetchBase = fetchBase;

/***/ }),

/***/ "./js/functions/fetch/fetch.js":
/*!*************************************!*\
  !*** ./js/functions/fetch/fetch.js ***!
  \*************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.fetchData = void 0;

var _fetchBase = __webpack_require__(/*! ./fetch-base */ "./js/functions/fetch/fetch-base.js");

var _obj;

function _get(target, property, receiver) { if (typeof Reflect !== "undefined" && Reflect.get) { _get = Reflect.get; } else { _get = function _get(target, property, receiver) { var base = _superPropBase(target, property); if (!base) return; var desc = Object.getOwnPropertyDescriptor(base, property); if (desc.get) { return desc.get.call(receiver); } return desc.value; }; } return _get(target, property, receiver || target); }

function _superPropBase(object, property) { while (!Object.prototype.hasOwnProperty.call(object, property)) { object = _getPrototypeOf(object); if (object === null) break; } return object; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var fetchData = _obj = {
  __proto__: _fetchBase.fetchBase,
  // base
  fetchBijtelling: function fetchBijtelling(params) {
    return _get(_obj.__proto__ || Object.getPrototypeOf(_obj), "fetchPostBase", this).call(this, "https://fixx-it.azure-api.net/wheely/vehicleinformation/CalculateBijtelling", params);
  },
  fetchTCO: function fetchTCO(params) {
    return _get(_obj.__proto__ || Object.getPrototypeOf(_obj), "fetchPostBase", this).call(this, "https://fixx-it.azure-api.net/wheely/CalculateFromModelVersion", params);
  },
  fetchTCOKenteken: function fetchTCOKenteken(params) {
    return _get(_obj.__proto__ || Object.getPrototypeOf(_obj), "fetchPostBase", this).call(this, "https://fixx-it.azure-api.net/wheely/CalculateFromKenteken", params);
  },
  fetchVersions: function fetchVersions(params) {
    return _get(_obj.__proto__ || Object.getPrototypeOf(_obj), "fetchPostBase", this).call(this, "https://fixx-it.azure-api.net/wheely/CalculateFromModelVersion", params);
  },
  fetchSearch: function fetchSearch(params) {
    return _get(_obj.__proto__ || Object.getPrototypeOf(_obj), "fetchPostBase", this).call(this, "https://wheely-api.azurewebsites.net/api/search/searchresults", params);
  },
  fetchMakes: function fetchMakes(params) {
    return _get(_obj.__proto__ || Object.getPrototypeOf(_obj), "fetchGetBase", this).call(this, "https://fixx-it.azure-api.net/wheely/makes", params);
  },
  fetchModels: function fetchModels(params) {
    return _get(_obj.__proto__ || Object.getPrototypeOf(_obj), "fetchGetBase", this).call(this, "https://fixx-it.azure-api.net/wheely/models?makeId=", params);
  },
  fetchVehicle: function fetchVehicle(params) {
    return _get(_obj.__proto__ || Object.getPrototypeOf(_obj), "fetchGetBase", this).call(this, "https://fixx-it.azure-api.net/wheely/vehicleinformation/", params);
  }
};
exports.fetchData = fetchData;

/***/ }),

/***/ "./js/map/bundle-map.js":
/*!******************************!*\
  !*** ./js/map/bundle-map.js ***!
  \******************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.maps = void 0;

var _tcoMap = __webpack_require__(/*! ./tco-map */ "./js/map/tco-map.js");

var maps = {
  TCO_MAP: _tcoMap.TCO_MAP
};
exports.maps = maps;

/***/ }),

/***/ "./js/map/tco-map.js":
/*!***************************!*\
  !*** ./js/map/tco-map.js ***!
  \***************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TCO_MAP = void 0;
var TCO_MAP = [{
  name: 'id',
  isVisible: false,
  isCurrency: false,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'id'
  }
}, {
  name: 'kenteken',
  isVisible: false,
  isCurrency: false,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'kenteken'
  }
}, {
  name: 'make-name',
  isVisible: false,
  isCurrency: false,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Merk'
  }
}, {
  name: 'make-id',
  isVisible: false,
  isCurrency: false,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Merk id'
  }
}, {
  name: 'model-name',
  isVisible: false,
  isCurrency: false,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Model'
  }
}, {
  name: 'model-id',
  isVisible: false,
  isCurrency: false,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Model id'
  }
}, {
  name: 'cataloguePrice',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Catalogusprijs'
  }
}, {
  name: 'deliveryFee',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Afleveringskosten'
  }
}, {
  name: 'bpm',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'BPM'
  }
}, {
  name: 'bodyType-id',
  isVisible: false,
  isCurrency: false,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Carrosserievorm id'
  }
}, {
  name: 'bodyType-name',
  isVisible: false,
  isCurrency: false,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Carrosserievorm'
  }
}, {
  name: 'engineType-id',
  isVisible: false,
  isCurrency: false,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Brandstof id'
  }
}, {
  name: 'engineType-name',
  isVisible: false,
  isCurrency: false,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Brandstof'
  }
}, {
  name: 'images-default',
  isVisible: false,
  isCurrency: false,
  isEditable: false,
  isDropdown: false,
  isImage: true,
  language: {
    'nl': 'Default Image'
  }
}, {
  name: 'images-medium',
  isVisible: false,
  isCurrency: false,
  isEditable: false,
  isDropdown: false,
  isImage: true,
  language: {
    'nl': 'Medium Image'
  }
}, {
  name: 'images-thumbnail',
  isVisible: false,
  isCurrency: false,
  isEditable: false,
  isDropdown: false,
  isImage: true,
  language: {
    'nl': 'Thumbnail'
  }
}, {
  name: 'transmissionType-name',
  isVisible: false,
  isCurrency: false,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Transmissie'
  }
}, {
  name: 'transmissionType-id',
  isVisible: false,
  isCurrency: false,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Transmissie id'
  }
}, {
  name: 'taxLiabilityType-year',
  isVisible: false,
  isCurrency: false,
  isEditable: true,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Belastingjaar'
  }
}, {
  name: 'taxLiabilityType-tariff',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Tarief'
  }
}, {
  name: 'taxLiabilityType-isCalculatedTariff',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Is gecalculeerde tarief'
  }
}, {
  name: 'discountValue',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Korting'
  }
}, {
  name: 'doors',
  isVisible: false,
  isCurrency: false,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Deuren'
  }
}, {
  name: 'nettoPrice',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Netto prijs'
  }
}, {
  name: 'weight',
  isVisible: false,
  isCurrency: false,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Gewicht'
  }
}, {
  name: 'year',
  isVisible: false,
  isCurrency: false,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Bouwjaar'
  }
}, {
  name: 'totalInvestment',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Totale investering'
  }
}, {
  name: 'residualValue',
  isVisible: false,
  isCurrency: true,
  isEditable: true,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Restwaarde'
  }
}, {
  name: 'monthlyCosts-installment',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Installatiekosten'
  }
}, {
  name: 'monthlyCosts-writeOff',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Afschrijving'
  }
}, {
  name: 'monthlyCosts-insurance-liabilityInsurance',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Verzekering WA'
  }
}, {
  name: 'monthlyCosts-insurance-personalLiability',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Verzekering Casco'
  }
}, {
  name: 'monthlyCosts-maintanance',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Onderhoud'
  }
}, {
  name: 'monthlyCosts-fuel',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Brandstof'
  }
}, {
  name: 'monthlyCosts-roadtax',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Wegenbelasting'
  }
}, {
  name: 'monthlyCosts-subTotal',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Subtotaal'
  }
}, {
  name: 'monthlyCosts-total',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Totaal'
  }
}, {
  name: 'monthlyTaxEffects-bijtelling',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Bijtelling'
  }
}, {
  name: 'monthlyTaxEffects-deducationMIA',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Aftrek MIA'
  }
}, {
  name: 'monthlyTaxEffects-deductionMonthlyCosts',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Aftrek maandlasten'
  }
}, {
  name: 'monthlyTaxEffects-taxPrivateUse',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'BTW privé gebruik'
  }
}, {
  name: 'monthlyCostBusiness',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Maandelijkse kosten zakelijk'
  }
}, {
  name: 'monthlyCostPrivate',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Maandelijkse kosten privé'
  }
}, {
  name: 'tco',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'TCO'
  }
}, {
  name: 'fiscalPrice',
  isVisible: false,
  isCurrency: true,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Fiscale prijs'
  }
}, {
  name: 'recommendedPrice',
  isVisible: false,
  isCurrency: true,
  isEditable: true,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Aanbevolen prijs'
  }
}, {
  name: 'recommendedPriceEx',
  isVisible: false,
  isCurrency: true,
  isEditable: true,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Aanbevolen prijs excl. BTW'
  }
}, {
  name: 'odometer',
  isVisible: false,
  isCurrency: false,
  isEditable: true,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Kilometerstand'
  }
}, {
  name: 'isOwner',
  isVisible: false,
  isCurrency: false,
  isEditable: true,
  isDropdown: true,
  isImage: false,
  language: {
    'nl': 'Eigenaar'
  }
}, {
  name: 'isMarginVehicle',
  isVisible: false,
  isCurrency: false,
  isEditable: true,
  isDropdown: true,
  isImage: false,
  language: {
    'nl': 'Marge auto'
  }
}, {
  name: 'registrationDate',
  isVisible: false,
  isCurrency: false,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Registratie datum'
  }
}, {
  name: 'segment',
  isVisible: false,
  isCurrency: false,
  isEditable: false,
  isDropdown: false,
  isImage: false,
  language: {
    'nl': 'Segment'
  }
}];
exports.TCO_MAP = TCO_MAP;

/***/ }),

/***/ "./js/state/state.js":
/*!***************************!*\
  !*** ./js/state/state.js ***!
  \***************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StateManagement = void 0;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

var StateManagement =
/*#__PURE__*/
function () {
  function StateManagement(state) {
    _classCallCheck(this, StateManagement);
  }

  _createClass(StateManagement, [{
    key: "mapFields",
    value: function mapFields(state) {}
  }]);

  return StateManagement;
}();

exports.StateManagement = StateManagement;

/***/ }),

/***/ "./js/views/bundle-view.js":
/*!*********************************!*\
  !*** ./js/views/bundle-view.js ***!
  \*********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.views = void 0;

var _buttonView2 = __webpack_require__(/*! ./button-view */ "./js/views/button-view.js");

var _inputView2 = __webpack_require__(/*! ./input-view */ "./js/views/input-view.js");

var _kentekenView2 = __webpack_require__(/*! ./kenteken-view */ "./js/views/kenteken-view.js");

var _optionsView2 = __webpack_require__(/*! ./options-view */ "./js/views/options-view.js");

var _selectView2 = __webpack_require__(/*! ./select-view */ "./js/views/select-view.js");

var _sliderView2 = __webpack_require__(/*! ./slider-view */ "./js/views/slider-view.js");

var _doubleSliderView2 = __webpack_require__(/*! ./double-slider-view */ "./js/views/double-slider-view.js");

var _emptySelectView2 = __webpack_require__(/*! ./empty-select-view */ "./js/views/empty-select-view.js");

var _makeView2 = __webpack_require__(/*! ./vehicle/make-view */ "./js/views/vehicle/make-view.js");

var _modelView2 = __webpack_require__(/*! ./vehicle/model-view */ "./js/views/vehicle/model-view.js");

var _versionView2 = __webpack_require__(/*! ./vehicle/version-view */ "./js/views/vehicle/version-view.js");

var _disclaimerView2 = __webpack_require__(/*! ./disclaimer-view */ "./js/views/disclaimer-view.js");

var views = {
  static: {
    buttonView: _buttonView2.buttonView,
    inputView: _inputView2.inputView,
    kentekenView: _kentekenView2.kentekenView,
    optionsView: _optionsView2.optionsView,
    selectView: _selectView2.selectView,
    sliderView: _sliderView2.sliderView,
    doubleSliderView: _doubleSliderView2.doubleSliderView,
    emptySelectView: _emptySelectView2.emptySelectView,
    disclaimerView: _disclaimerView2.disclaimerView
  },
  callback: {
    makeView: _makeView2.makeView,
    modelView: _modelView2.modelView,
    versionView: _versionView2.versionView
  }
};
exports.views = views;

/***/ }),

/***/ "./js/views/button-view.js":
/*!*********************************!*\
  !*** ./js/views/button-view.js ***!
  \*********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.buttonView = buttonView;

function buttonView(item, settings) {
  var view = "\n            <div class=\"__wheely__container\">\n                <div class=\"__wheely__container__row justify--flex-end\">\n                    <div class=\"__wheely__container__row__col __wheely__container__row__col--6\">\n                    </div>\n                    <div class=\"__wheely__container__row__col __wheely__container__row__col--6\">\n                        <div class=\"__wheely--button-view __wheely--button-view--button\">\n                            <button id=\"".concat(item.id, "\" class=\"__wheely--input-view--button__button\" style=\"background:").concat(settings.color, "\">\n                                ").concat(item.label, "\n                            </button>\n                        </div>\n                    </div>\n                </div>\n            </div>\n            ");
  return view;
}

/***/ }),

/***/ "./js/views/disclaimer-view.js":
/*!*************************************!*\
  !*** ./js/views/disclaimer-view.js ***!
  \*************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.disclaimerView = disclaimerView;

function disclaimerView(item) {
  var view = "\n                <div class=\"__wheely__container p-top--1\">\n                    <div class=\"__wheely__container__row\">\n                        <div class=\"__wheely__container__row__col __wheely__container__row__col--12\">\n                            <div class=\"__wheely__container__row __wheely__disclaimer-view __wheely__disclaimer-view--title width--100\">\n                                <h4 class=\"__wheely__container__row__col __wheely__container__row__col--6\">".concat(item.title, "</h4>\n                                <h4 class=\"__wheely__container__row__col __wheely__container__row__col--6 justify--center\" id=\"wl-Bijtelling-target\"></h4>\n                            </div>\n                        </div>\n                    </div>\n                    <div class=\"__wheely__container__row\">\n                        <div class=\"__wheely__container__row__col __wheely__container__row__col--12\">\n                            <div class=\"__wheely__disclaimer-view __wheely__disclaimer-view--description\">\n                                <p>").concat(item.description, "</p>\n                            </div>\n                        </div>\n                    </div>\n                </div>\n            ");
  return view;
}

/***/ }),

/***/ "./js/views/double-slider-view.js":
/*!****************************************!*\
  !*** ./js/views/double-slider-view.js ***!
  \****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.doubleSliderView = doubleSliderView;

function doubleSliderView(item) {
  var checkbox = item.options.innerCheckboxLabel ? "<input id=\"".concat(item.options.innerCheckboxId, "\" type=\"checkbox\" name=\"fuel\" value=\"Fuel\">").concat(item.options.innerCheckboxLabel, "<br>") : "";
  var view = "\n            <div class=\"__wheely__container\">\n                <div class=\"__wheely__container__row\">\n                    <div class=\"__wheely__container__row__col __wheely__container__row__col--6\">\n                        <div class=\"__wheely__slider-view __wheely--slider-view--label\">\n                            <p>".concat(item.label, "</p>\n                        </div>\n                    </div>\n                    <div class=\"__wheely__container__row__col __wheely__container__row__col--6\">\n                        <div class=\"__wheely__slider-view __wheely__slider-view--slider\">\n                            <span class=\"__wheely__doubleslider-view\">\n                                ").concat(checkbox, "\n                                <input type=\"range\" class=\"__wheely__doubleslider-view--slider__slider\" min=\"").concat(item.options.min, "\" max=\"").concat(item.options.max, "\" value=\"").concat(item.options.min, "\" id=\"").concat(item.lowerId, "\">\n                                <input type=\"range\" class=\"__wheely__doubleslider-view--slider__slider\" min=\"").concat(item.options.min, "\" max=\"").concat(item.options.max, "\" value=\"").concat(item.options.max, "\" id=\"").concat(item.upperId, "\">\n                            </span>\n                            <span id=\"wl-").concat(item.id, "-target\" class=\"__wheely__slider-view __wheely__slider-view--target\">").concat(item.options.min, " - ").concat(item.options.max, "</span>\n                        </div>\n                    </div>  \n                </div>\n            </div>\n      ");
  return view;
}

/***/ }),

/***/ "./js/views/empty-select-view.js":
/*!***************************************!*\
  !*** ./js/views/empty-select-view.js ***!
  \***************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.emptySelectView = emptySelectView;

function emptySelectView(item) {
  var view;
  view = "\n             <div class=\"__wheely__container\">\n                <div class=\"__wheely__container__row\">\n                    <div class=\"__wheely__container__row__col __wheely__container__row__col--6\">\n                        <div class=\"__wheely--select-view __wheely--select-view--label\">\n                            <p>".concat(item.label, "</p>\n                        </div>\n                    </div>\n                    <div class=\"__wheely__container__row__col __wheely__container__row__col--6 align__items--center flex--column\">\n                        <select id=\"").concat(item.id, "\" type=\"text\" class=\"__wheely__select-view __wheely__select-view--select flex ").concat(item.id, "\" required>\n                        </select>\n                    </div>\n                </div>\n             </div>\n             <div id=\"js-next-empty-select-").concat(item.id, "\" class=\"width--100 js-next-empty-select-").concat(item.id, "\"></div>\n        ");
  return view;
}

/***/ }),

/***/ "./js/views/input-view.js":
/*!********************************!*\
  !*** ./js/views/input-view.js ***!
  \********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.inputView = inputView;

function inputView(item) {
  var attributes = "";

  if (item.length) {
    attributes = attributes.concat("maxlength=\"".concat(item.length, "\" "));
  }

  if (item.data) {
    attributes = attributes.concat("data-ischangeable=\"true\" ");
  }

  if (item.elementValue) {
    attributes = attributes.concat("value=\"".concat(item.elementValue, "\" "));
  }

  var view = "\n            <div class=\"__wheely__container __wheely__container--".concat(item.id, "\">\n                <div class=\"__wheely__container__row\">\n                    <div class=\"__wheely__container__row__col __wheely__container__row__col--6\">\n                        <div class=\"__wheely__input-view __wheely--input-view--label\">\n                            <p>").concat(item.label, "</p>\n                        </div>\n                    </div>\n                    <div class=\"__wheely__container__row__col __wheely__container__row__col--6\">\n                        <div class=\"__wheely__input-view __wheely__input-view--input\">\n                            <input id=\"").concat(item.id, "\" type=\"text\" class=\"__wheely__input-view--input__input\" placeholder=\"").concat(item.label, "\" required ").concat(attributes, "/>\n                        </div>\n                    </div>\n                    <div class=\"__wheely__container__row__col __wheely__container__row__col--12\">\n                        <div id=\"wl-").concat(item.label, "-target\" class=\"__wheely__input-view __wheely__input-view--target\">\n                    </div>\n                </div>\n                </div>\n            </div>\n            ");
  return view;
}

/***/ }),

/***/ "./js/views/kenteken-view.js":
/*!***********************************!*\
  !*** ./js/views/kenteken-view.js ***!
  \***********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.kentekenView = kentekenView;

function kentekenView(item) {
  var view = "\n            <div class=\"__wheely__container\">\n                <div class=\"__wheely__container__row\">\n                    <div class=\"__wheely__container__row__col __wheely__container__row__col--6\">\n                        <div class=\"__wheely__input-view __wheely--input-view--label\">\n                            <p>".concat(item.label, "</p>\n                        </div>\n                    </div>\n                    <div class=\"__wheely__container__row__col __wheely__container__row__col--6\">\n                        <div class=\"__wheely__input-view __wheely__input-view--input\">\n                            <div class=\"__wheely__container__row\">\n                                <div class=\"__wheely__container__row__col __wheely__container__row__col--10\">\n                                    <input id=\"").concat(item.id, "\" type=\"text\" class=\"__wheely__input-view--input__input\" placeholder=\"").concat(item.label, "\" maxlength=\"6\" />\n                                </div>\n                                <div class=\"__wheely__container__row__col __wheely__container__row__col--2 justify--flex-end\">\n                                    <div class=\"__wheely__input-view--input__input__loader\"></div>\n                                </div>\n                            </div>\n                        </div>\n                    </div>\n                    <div class=\"__wheely__container__row__col __wheely__container__row__col--12\">\n                        <div id=\"wl-").concat(item.label, "-target\" class=\"__wheely__input-view __wheely__input-view--target\">\n                    </div>\n                </div>\n                </div>\n            </div>\n            ");
  return view;
}

/***/ }),

/***/ "./js/views/options-view.js":
/*!**********************************!*\
  !*** ./js/views/options-view.js ***!
  \**********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.optionsView = optionsView;

function optionsView(item) {
  var view = '';
  item.fields.forEach(function (key) {
    var optionsView = "\n                <option class=\"__wheely__select-view--select__options\" value=\"".concat(key.value, "\">\n                    ").concat(key.innerhtml, "\n                </option>\n            ");
    view = view.concat(optionsView);
  });
  return view;
}

/***/ }),

/***/ "./js/views/select-view.js":
/*!*********************************!*\
  !*** ./js/views/select-view.js ***!
  \*********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.selectView = selectView;

var _optionsView = __webpack_require__(/*! ./options-view */ "./js/views/options-view.js");

function selectView(item) {
  var attributes = "";

  if (item.data) {
    attributes = attributes.concat("data-ischangeable=\"true\" ");
  }

  ;
  var view = "\n                <div class=\"__wheely__container __wheely__container--".concat(item.id, "\">\n                    <div class=\"__wheely__container__row\">\n                        <div class=\"__wheely__container__row__col __wheely__container__row__col--6\">\n                            <div class=\"__wheely--select-view __wheely--select-view--label\">\n                                <p>").concat(item.label, "</p>\n                            </div>\n                        </div>\n                        <div class=\"__wheely__container__row__col __wheely__container__row__col--6 align__items--center\">\n                            <select id=\"").concat(item.id, "\" type=\"text\" class=\"__wheely__select-view __wheely__select-view--select flex\" required ").concat(attributes, ">\n                               ").concat((0, _optionsView.optionsView)(item), "\n                            </select>\n                        </div>\n                    </div>\n                 </div>\n            ");
  return view;
}

/***/ }),

/***/ "./js/views/slider-view.js":
/*!*********************************!*\
  !*** ./js/views/slider-view.js ***!
  \*********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sliderView = sliderView;

function sliderView(item) {
  var view = "\n        <div class=\"__wheely__container\">\n            <div class=\"__wheely__container__row\">\n                <div class=\"__wheely__container__row__col __wheely__container__row__col--6\">\n                    <div class=\"__wheely__slider-view __wheely--slider-view--label\">\n                        <p>".concat(item.label, "</p>\n                    </div>\n                </div>\n                <div class=\"__wheely__container__row__col __wheely__container__row__col--6\">\n                    <div class=\"__wheely__slider-view __wheely__slider-view--slider\">\n                        <input class=\"__wheely__slider-view--slider__slider\" type=\"range\" min=\"").concat(item.options.min, "\" max=\"").concat(item.options.max, "\" step=\"").concat(item.options.step, "\" value=\"").concat(item.options.default, "\" id=\"").concat(item.id, "\" required/>\n                        <span id=\"wl-").concat(item.id, "-target\" class=\"__wheely__slider-view __wheely__slider-view--target\">").concat(item.options.default, "</span>\n                    </div>\n                </div>  \n            </div>\n        </div>\n  ");
  return view;
}

/***/ }),

/***/ "./js/views/updates/bundle.js":
/*!************************************!*\
  !*** ./js/views/updates/bundle.js ***!
  \************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.returnTcoView = void 0;

var _returnStaticView2 = __webpack_require__(/*! ./return-static-view */ "./js/views/updates/return-static-view.js");

var _returnInputElement = __webpack_require__(/*! ./return-input-element */ "./js/views/updates/return-input-element.js");

var _returnSelectView2 = __webpack_require__(/*! ./return-select-view */ "./js/views/updates/return-select-view.js");

var _returnImageView2 = __webpack_require__(/*! ./return-image-view */ "./js/views/updates/return-image-view.js");

var _returnResidualValueView2 = __webpack_require__(/*! ./return-residual-value-view */ "./js/views/updates/return-residual-value-view.js");

var returnTcoView = {
  returnStaticView: _returnStaticView2.returnStaticView,
  returnInputView: _returnInputElement.returnInputView,
  returnSelectView: _returnSelectView2.returnSelectView,
  returnImageView: _returnImageView2.returnImageView,
  returnResidualValueView: _returnResidualValueView2.returnResidualValueView
};
exports.returnTcoView = returnTcoView;

/***/ }),

/***/ "./js/views/updates/return-image-view.js":
/*!***********************************************!*\
  !*** ./js/views/updates/return-image-view.js ***!
  \***********************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.returnImageView = returnImageView;

function returnImageView(key, obj) {
  var view = '';
  view = "\n            <div class=\"__wheely__container __wheely__container--".concat(key, "\">\n                <div class=\"__wheely__container__row\">\n                    <div class=\"__wheely__container__row__col __wheely__container__row__col--6\">\n                        <p>").concat(key, "</p>\n                    </div>\n                    <div id=\"").concat(key, "\" class=\"__wheely__container__row__col __wheely__container__row__col--6\">\n                        <img src=\"").concat(obj.value, "\" class=\"width--100\" alt\"").concat(key, "\" />\n                    </div>\n                </div>\n            </div>\n        ");
  return view;
}

/***/ }),

/***/ "./js/views/updates/return-input-element.js":
/*!**************************************************!*\
  !*** ./js/views/updates/return-input-element.js ***!
  \**************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.returnInputView = returnInputView;

var _inputView = __webpack_require__(/*! ../../views/input-view */ "./js/views/input-view.js");

function returnInputView(key, obj) {
  return (0, _inputView.inputView)({
    label: key,
    id: key,
    data: 'isChangeable',
    elementValue: obj.value
  });
}

/***/ }),

/***/ "./js/views/updates/return-residual-value-view.js":
/*!********************************************************!*\
  !*** ./js/views/updates/return-residual-value-view.js ***!
  \********************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.returnResidualValueView = returnResidualValueView;

var _selectView = __webpack_require__(/*! ../../views/select-view */ "./js/views/select-view.js");

function returnResidualValueView(key, obj) {
  var view = '';
  view = "\n            <div class=\"__wheely__container __wheely__container--".concat(key, "\">\n                <div class=\"__wheely__container__row\">\n                    <div class=\"__wheely__container__row__col __wheely__container__row__col--6\">\n                        <p>").concat(key, "</p>\n                    </div>\n                    <div id=\"").concat(key, "\" class=\"__wheely__container__row__col __wheely__container__row__col--6\">\n                        <p>").concat(obj.value, "</p>\n                    </div>\n                </div>\n            </div>\n            ").concat((0, _selectView.selectView)({
    label: 'Restwaarde correctie',
    id: key + '-correctie',
    data: 'isChangeable',
    fields: [{
      value: '0',
      innerhtml: '0%'
    }, {
      value: '-0.2',
      innerhtml: '-20%'
    }, {
      value: '-0.15',
      innerhtml: '-15%'
    }, {
      value: '-0.1',
      innerhtml: '-10%'
    }, {
      value: '-0.05',
      innerhtml: '-5%'
    }, {
      value: '-0.04',
      innerhtml: '-4%'
    }, {
      value: '-0.03',
      innerhtml: '-3%'
    }, {
      value: '-0.02',
      innerhtml: '-2%'
    }, {
      value: '-0.01',
      innerhtml: '-1%'
    }, {
      value: '0.01',
      innerhtml: '1%'
    }, {
      value: '0.02',
      innerhtml: '2%'
    }, {
      value: '0.03',
      innerhtml: '3%'
    }, {
      value: '0.04',
      innerhtml: '4%'
    }, {
      value: '0.05',
      innerhtml: '5%'
    }, {
      value: '0.1',
      innerhtml: '10%'
    }, {
      value: '0.15',
      innerhtml: '15%'
    }, {
      value: '0.2',
      innerhtml: '20%'
    }]
  }), "\n        ");
  return view;
}

/***/ }),

/***/ "./js/views/updates/return-select-view.js":
/*!************************************************!*\
  !*** ./js/views/updates/return-select-view.js ***!
  \************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.returnSelectView = returnSelectView;

var _selectView = __webpack_require__(/*! ../../views/select-view */ "./js/views/select-view.js");

function returnSelectView(key) {
  return (0, _selectView.selectView)({
    label: key,
    id: key,
    data: 'isChangeable',
    fields: [{
      value: '0',
      innerhtml: 'Ja'
    }, {
      value: '1',
      innerhtml: 'Nee'
    }]
  });
}

/***/ }),

/***/ "./js/views/updates/return-static-view.js":
/*!************************************************!*\
  !*** ./js/views/updates/return-static-view.js ***!
  \************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.returnStaticView = returnStaticView;

function returnStaticView(key, obj) {
  var view = '';
  view = "\n            <div class=\"__wheely__container __wheely__container--".concat(key, "\">\n                <div class=\"__wheely__container__row\">\n                    <div class=\"__wheely__container__row__col __wheely__container__row__col--6\">\n                        <p>").concat(key, "</p>\n                    </div>\n                    <div id=\"").concat(key, "\" class=\"__wheely__container__row__col __wheely__container__row__col--6\">\n                        <p>").concat(obj.value, "</p>\n                    </div>\n                </div>\n            </div>\n        ");
  return view;
}

/***/ }),

/***/ "./js/views/vehicle/make-view.js":
/*!***************************************!*\
  !*** ./js/views/vehicle/make-view.js ***!
  \***************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.makeView = makeView;

function makeView(data) {
  var view;

  if (data.success) {
    var response = data.data;
    view = "<div class=\"__wheely__container\">\n        <div class=\"__wheely__container__row\">\n            <div class=\"__wheely__container__row__col __wheely__container__row__col--6\">\n                <div class=\"__wheely--select-view __wheely--select-view--label\">\n                    <p>Merk</p>\n                </div>\n            </div>\n            <div class=\"__wheely__container__row__col __wheely__container__row__col--6 align__items--center\">\n                <select id=\"tco-merk-id\" type=\"text\" class=\"__wheely__select-view __wheely__select-view--select flex\" required>\n                    ".concat(privateMethods.returnOptionView(response), "\n                </select>\n            </div>\n        </div>\n     </div>\n     <div id=\"js-next-select-tco-model-id\" class=\"width--100 js-next-select-tco-model-id\"></div>\n     ");
  } else {
    view = "<p>Geen merk gevonden.</p>";
  }

  return view;
}

var privateMethods = {
  returnOptionView: function returnOptionView(response) {
    var optionsView = '';
    response.forEach(function (field) {
      var optionView = "\n                    <option class=\"__wheely__select-view--select__options\" value=\"".concat(field.id, "\">\n                        ").concat(field.name, "\n                    </option>\n                ");
      optionsView = optionsView.concat(optionView);
    });
    return optionsView;
  }
};

/***/ }),

/***/ "./js/views/vehicle/model-view.js":
/*!****************************************!*\
  !*** ./js/views/vehicle/model-view.js ***!
  \****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.modelView = modelView;

function modelView(data) {
  var view;

  if (data.success) {
    var response = data.data.data ? data.data.data : data.data;
    view = "\n                <div class=\"__wheely__container\">\n                    <div class=\"__wheely__container__row\">\n                        <div class=\"__wheely__container__row__col __wheely__container__row__col--6\">\n                            <div class=\"__wheely--select-view __wheely--select-view--label\">\n                                <p>Model</p>\n                            </div>\n                        </div>\n                        <div class=\"__wheely__container__row__col __wheely__container__row__col--6 align__items--center\">\n                            <select id=\"tco-model-id\" type=\"text\" class=\"__wheely__select-view __wheely__select-view--select flex\" required>\n                                ".concat(privateMethods.returnOptionView(response), "\n                            </select>\n                        </div>\n                    </div>\n                </div>\n                <div id=\"js-next-select-tco-version-id\" class=\"width--100 js-next-select-tco-version-id\"></div>\n            ");
  } else {
    view = '<p>Geen uitvoeringen gevonden</p>';
  }

  ;
  return view;
}

;
var privateMethods = {
  returnOptionView: function returnOptionView(response) {
    var optionsView = '';

    for (var i = 0; i < response.results.length; i++) {
      var optionView = "\n                    <option class=\"__wheely__select-view--select__options\" value=\"".concat(i, "\" data-result-id=\"").concat(response.results[i].model.id, "\">\n                        ").concat(response.results[i].model.name, "\n                    </option>\n                ");
      optionsView = optionsView.concat(optionView);
    }

    ;
    return optionsView;
  }
};

/***/ }),

/***/ "./js/views/vehicle/version-view.js":
/*!******************************************!*\
  !*** ./js/views/vehicle/version-view.js ***!
  \******************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.versionView = versionView;

function versionView(data) {
  var view;

  if (data.length) {
    view = "\n                <div class=\"__wheely__container\">\n                    <div class=\"__wheely__container__row\">\n                        <div class=\"__wheely__container__row__col __wheely__container__row__col--6\">\n                            <div class=\"__wheely--select-view __wheely--select-view--label\">\n                                <p>Uitvoering</p>\n                            </div>\n                        </div>\n                        <div class=\"__wheely__container__row__col __wheely__container__row__col--6 align__items--center\">\n                            <select id=\"tco-version-id\" type=\"text\" class=\"__wheely__select-view __wheely__select-view--select flex\" required>\n                                ".concat(privateMethods.returnOptionView(data), "\n                            </select>\n                        </div>\n                    </div>\n                </div>\n        ");
  } else {
    view = '<p>Geen uitvoeringen gevonden</p>';
  }

  return view;
}

var privateMethods = {
  returnOptionView: function returnOptionView(data) {
    var optionsView = '';
    data.forEach(function (field) {
      var optionView = "\n                    <option class=\"__wheely__select-view--select__options\" value=\"".concat(field.id, "\">\n                        ").concat(field.description, " - ").concat(field.bodyType.name, " - ").concat(field.engineType.name, " - ").concat(field.transmissionType.name, "\n                    </option>\n                ");
      optionsView = optionsView.concat(optionView);
    });
    return optionsView;
  }
};

/***/ })

/******/ });
});
//# sourceMappingURL=wheely-base.js.map